/*
© Lukas Linek
*/
/* 
    Created on : Oct 29, 2024, 11:06:51 AM
    Author     : lukas
*/

/*
© Lukas Linek
*/
/* 
    Created on : Oct 20, 2024, 11:25:10 AM
    Author     : lukas
*/
#content {
    display: flex;
    flex-direction: column;
    max-width: var(--max-width);
    align-items: center;
    gap: var(--margin);

    #addressContainer {
        display: flex;
        flex-direction: row;
        flex-wrap: wrap;
        align-items: stretch;
        justify-content: center;
        gap: var(--margin);

        #addressBlock {
            align-content: center;
            padding: var(--margin);
            background-color: var(--second-accent);
            border-radius: var(--border-radius);

            h2 {
                font-size: 33px;
                text-align: center;
            }
        }

        #addressMap {
            border-radius: var(--border-radius);
            aspect-ratio: 40/28;
            width: 400px;
            border: none;
        }
    }

    #contactsContainer {
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: stretch;
        gap: var(--margin);

        .contactBlock {
            display: flex;
            flex-direction: row;
            justify-content: center;
            align-items: center;
            padding: var(--margin);
            gap: var(--margin);
            background-color: var(--second-accent);
            border-radius: var(--border-radius);

            .contactInfo {
                display: flex;
                flex-direction: column;
                justify-content: center;
                align-items: start;
                gap: 5px;

                .profilePhoto {
                    width: 150px;
                    border-radius: var(--border-radius);
                    height: auto;
                }

                .contactName {
                    text-align: left;
                    margin: 0;
                }

                .contactRole {
                    text-align: left;
                    margin: 0;
                }
            }

            .contactData {
                display: flex;
                flex-direction: column;
                justify-content: center;
                align-items: center;
                gap: 20px;
                margin: 0px auto;

                .contactProperty {
                    text-align: center;
                }
            }

            h4 {
                margin: 0px;
            }
        }
    }
}

@media (max-width: 800px) {
    .contactBlock {
        flex-direction: column !important;
        align-items: center !important;
    }

    .contactInfo {
        align-items: center !important;
    }

    .contactName {
        text-align: center !important;
    }

    .contactRole {
        text-align: center !important;
    }
}